//
//  JDSpeechError.h
//  JDSpeechSynthesizer
//
//  Created by 满达 on 2020/1/12.
//  Copyright © 2020 Beijing Jingdong Shangke Information Technology Co., Ltd. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

/*!
*  错误描述类
*/
@interface JDSpeechError : NSObject

/*!
 *  错误码
 */
@property(nonatomic,assign) NSInteger errorCode;

/*!
 *  错误描述
 */
@property(nonatomic,retain) NSString* errorDesc;

/*!
 *  初始化
 *
 *  @param errorCode -[in] 错误码
 *
 *  @return JDSpeechError对象
 */
+ (instancetype) initWithError:(NSInteger) errorCode err:(NSString *)errorDesc;

@end

NS_ASSUME_NONNULL_END
